[OSM-dev] Updates to the rails port dev environment

Thomas Wood grand.edgemaster at gmail.com
Mon Mar 9 17:18:27 GMT 2009


The testing server will be down until I can get libxml-ruby 1.0.0
updated on dev. again.
I'm getting the compile error when trying to install the gem:
ruby_xml_html_parser_context.c:118: error: static declaration of
'htmlNewParserCtxt' follows non-static declaration
/usr/include/libxml2/libxml/HTMLparser.h:109: error: previous
declaration of 'htmlNewParserCtxt' was here
make: *** [ruby_xml_html_parser_context.o] Error 1

2009/3/9 Shaun McDonald <shaun at shaunmcdonald.me.uk>:
> Hi devs,
>
> Update on changes in the osm server code.
>
> You now require to be using libxml-ruby 1.0.0 or later if you are
> using the latest rails_port head or the api06 branch.
>
> TomH has resynced the api06 branch to include the latest changes in
> head. This includes a new migration. To continue using your old
> database please update the schema_migrations table using the following
> command on your dev database:
> UPDATE `schema_migrations` SET `version` = '25' WHERE
> `schema_migrations`.`version` = '18' LIMIT 1 ;
> Then run a db:migrate to get the new migration number 18.
>
> The automated builder I run[1], and the wiki have now been updated.
> Time to get the tests sorted for the api change coming soon....
>
> Shaun
> [1]: http://cruise.shaunmcdonald.me.uk/
>
> _______________________________________________
> dev mailing list
> dev at openstreetmap.org
> http://lists.openstreetmap.org/listinfo/dev
>



-- 
Regards,
Thomas Wood
(Edgemaster)




More information about the dev mailing list